Package dev.plex.listener.impl

# Class TogglesListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.TogglesListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class TogglesListener extends PlexListener

## Field Summary

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`TogglesListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onBlockExplode(org.bukkit.event.entity.ExplosionPrimeEvent event)`
`void`
`onBlockRedstone(org.bukkit.event.block.BlockRedstoneEvent event)`
`void`
`onEntityExplode(org.bukkit.event.entity.EntityExplodeEvent event)`
`void`
`onFluidSpread(org.bukkit.event.block.BlockFromToEvent event)`
`void`
`onFluidSpread(org.bukkit.event.player.PlayerDropItemEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TogglesListener

public TogglesListener()

## Method Details

### onBlockExplode

public void onBlockExplode(org.bukkit.event.entity.ExplosionPrimeEvent event)

### onEntityExplode

public void onEntityExplode(org.bukkit.event.entity.EntityExplodeEvent event)

### onFluidSpread

public void onFluidSpread(org.bukkit.event.block.BlockFromToEvent event)

### onFluidSpread

public void onFluidSpread(org.bukkit.event.player.PlayerDropItemEvent event)

### onBlockRedstone

public void onBlockRedstone(org.bukkit.event.block.BlockRedstoneEvent event)